FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202106090743.p0.git.9ffe95b BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202106090743.p0.git.9ffe95b SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9ffe95b OS_GIT_VERSION=4.7.0-202106090743.p0.git.9ffe95b-9ffe95b SOURCE_DATE_EPOCH=1619680484 SOURCE_GIT_COMMIT=9ffe95b9499258b8e2b5e1b8df9889abe3c9f73f SOURCE_GIT_TAG=9ffe95b SOURCE_GIT_URL=https://github.com/openshift/gcp-pd-csi-driver-operator 
WORKDIR /go/src/github.com/openshift/gcp-pd-csi-driver-operator
COPY . .
RUN make

FROM openshift/ose-base:v4.7.0.20210609.080519
ENV __doozer=update BUILD_RELEASE=202106090743.p0.git.9ffe95b BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202106090743.p0.git.9ffe95b SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=9ffe95b OS_GIT_VERSION=4.7.0-202106090743.p0.git.9ffe95b-9ffe95b SOURCE_DATE_EPOCH=1619680484 SOURCE_GIT_COMMIT=9ffe95b9499258b8e2b5e1b8df9889abe3c9f73f SOURCE_GIT_TAG=9ffe95b SOURCE_GIT_URL=https://github.com/openshift/gcp-pd-csi-driver-operator 
COPY --from=builder /go/src/github.com/openshift/gcp-pd-csi-driver-operator/gcp-pd-csi-driver-operator /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/gcp-pd-csi-driver-operator"]

LABEL \
        io.k8s.display-name="OpenShift GCP PD CSI Driver Operator" \
        io.k8s.description="The GCP PD CSI Driver Operator installs and maintains the GCP PD CSI Driver on a cluster." \
        name="openshift/ose-gcp-pd-csi-driver-operator" \
        com.redhat.component="ose-gcp-pd-csi-driver-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="Operators" \
        release="202106090743.p0.git.9ffe95b" \
        io.openshift.build.commit.id="9ffe95b9499258b8e2b5e1b8df9889abe3c9f73f" \
        io.openshift.build.source-location="https://github.com/openshift/gcp-pd-csi-driver-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/gcp-pd-csi-driver-operator/commit/9ffe95b9499258b8e2b5e1b8df9889abe3c9f73f" \
        version="v4.7.0"

